Bug 591070 - command chvt and eject are missing in anaconda
command chvt and eject are missing in anaconda
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Martin Gracik
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 07:22 EDT by christian.kehrmann
Modified: 2013-07-04 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.42-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 16:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christian.kehrmann 2010-05-11 07:22:37 EDT
Description of problem:
We use chvt during the %pre-section of anaconda to switch to a different console to get input from the user.
That worked in RHEL5, but in RHEL6 Beta the command chvt is missing.

Also we use eject to eject the CD we boot from.  This command is also missing in RHEL6.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from RHEL6 Beta DVD
2. as soon as the graphical installer is started, switch to VT2 with
Ctrl-Alt-F2
3. on this shell the commands chvt and eject are not available
  
Actual results:
sh: chvt: command not found
sh: eject: command not found

Expected results:
For command 'chvt':
Switch to a different console with e.g. 'chvt 1' to the first console.

For command 'eject <device_of_cd-drive>':
The tray of the specified CD drive should open.

Additional info:
I filed a similar bug for the missing command nslookup, Bugzilla ID is 591064.
Comment 2 RHEL Product and Program Management 2010-05-11 09:12:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Martin Gracik 2010-05-12 10:45:26 EDT
Fixed in version anaconda-13.21.39-1
Comment 5 Alexander Todorov 2010-05-13 09:33:51 EDT
in RHEL6.0-20100512.0 chvt command is present but eject is not. Moving back to ASSIGNED.
Comment 6 Martin Gracik 2010-05-17 07:40:54 EDT
Fixed in version anaconda-13.21.42-1
Comment 8 Alexander Todorov 2010-05-25 07:45:12 EDT
In anaconda-13.21.45-1.el6 both chvt and eject are present. Moving to VERIFIED.
Comment 9 releng-rhel@redhat.com 2010-07-02 16:49:04 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.